Package org.globus.gsi.stores

# Class ResourceSigningPolicy

java.lang.Object
org.globus.gsi.stores.ResourceSigningPolicy

public class ResourceSigningPolicy extends Object
Created by IntelliJ IDEA. User: turtlebender Date: Dec 28, 2009 Time: 2:57:09 PM To change this template use File | Settings | File Templates.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GlobusResource`
`globusResource`

## Constructor Summary

Constructors
Constructor
Description
`ResourceSigningPolicy(GlobusResource resource)`

## Method Summary

Modifier and Type
Method
Description
`Map<X500Principal,SigningPolicy>`
`create(GlobusResource signingPolicyResource)`
`protected Map<X500Principal,SigningPolicy>`
`getObject()`
`GlobusResource`
`getResource()`
`Collection<SigningPolicy>`
`getSigningPolicies()`
`boolean`
`hasChanged()`
`protected void`
`init(GlobusResource initResource)`
`protected void`
`init(GlobusResource initResource, Map<X500Principal,SigningPolicy> initSigningPolicy)`
`protected void`
`reload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### globusResource

protected GlobusResource globusResource

## Constructor Details

### ResourceSigningPolicy

public ResourceSigningPolicy(GlobusResource resource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

## Method Details

### init

protected void init(GlobusResource initResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### init

protected void init(GlobusResource initResource, Map<X500Principal,SigningPolicy> initSigningPolicy) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getSigningPolicies

public Collection<SigningPolicy> getSigningPolicies() throws SigningPolicyStoreException

Throws:
  `SigningPolicyStoreException`

### create

public Map<X500Principal,SigningPolicy> create(GlobusResource signingPolicyResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### reload

protected void reload() throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getResource

public GlobusResource getResource()

### getObject

protected Map<X500Principal,SigningPolicy> getObject() throws ResourceStoreException

Throws:
  `ResourceStoreException`

### hasChanged

public boolean hasChanged()